<?xml version="1.0" encoding="gb2312"?>
<Config>
    <night_iso>6400</night_iso>
    <night_exposure>12</night_exposure>
    <night_lumaavg>15</night_lumaavg>

    <ImageRegistrationMethod>1</ImageRegistrationMethod>

    <GhostRemovalMethod>1</GhostRemovalMethod>
    <LocalMotionDetection>
        <MotionLowGray>10</MotionLowGray>
        <MotionHighGray>20</MotionHighGray>
        <MotionRatio>2.0</MotionRatio>
    </LocalMotionDetection>

    <DarkMotionDetection>
        <Thresh1>
            <ISO>160</ISO>
            <MotionLowGray>10</MotionLowGray>
            <MotionHighGray>20</MotionHighGray>
            <MotionRatio>2.0</MotionRatio>
        </Thresh1>
        <Thresh2>
            <ISO>240</ISO>
            <MotionLowGray>10</MotionLowGray>
            <MotionHighGray>20</MotionHighGray>
            <MotionRatio>2.0</MotionRatio>
        </Thresh2>
        <Thresh3>
            <ISO>320</ISO>
            <MotionLowGray>10</MotionLowGray>
            <MotionHighGray>20</MotionHighGray>
            <MotionRatio>2.0</MotionRatio>
        </Thresh3>
        <Thresh4>
            <ISO>640</ISO>
            <MotionLowGray>15</MotionLowGray>
            <MotionHighGray>20</MotionHighGray>
            <MotionRatio>2.0</MotionRatio>
        </Thresh4>
        <Thresh5>
            <ISO>960</ISO>
            <MotionLowGray>15</MotionLowGray>
            <MotionHighGray>20</MotionHighGray>
            <MotionRatio>2.0</MotionRatio>
        </Thresh5>
        <Thresh6>
            <ISO>1280</ISO>
            <MotionLowGray>15</MotionLowGray>
            <MotionHighGray>25</MotionHighGray>
            <MotionRatio>2.0</MotionRatio>
        </Thresh6>
        <Thresh7>
            <ISO>1600</ISO>
            <MotionLowGray>20</MotionLowGray>
            <MotionHighGray>30</MotionHighGray>
            <MotionRatio>2.0</MotionRatio>
        </Thresh7>
        <Thresh8>
            <ISO>1920</ISO>
            <MotionLowGray>25</MotionLowGray>
            <MotionHighGray>35</MotionHighGray>
            <MotionRatio>2.0</MotionRatio>
        </Thresh8>
        <Thresh9>
            <ISO>2560</ISO>
            <MotionLowGray>30</MotionLowGray>
            <MotionHighGray>40</MotionHighGray>
            <MotionRatio>2.0</MotionRatio>
        </Thresh9>
        <Thresh10>
            <ISO>6400</ISO>
            <MotionLowGray>30</MotionLowGray>
            <MotionHighGray>50</MotionHighGray>
            <MotionRatio>2.0</MotionRatio>
        </Thresh10>
    </DarkMotionDetection>

    <Surf>
        <MatchPairs>100</MatchPairs>
    </Surf>


    <PureColorMotionDetection>
        <MotionRatio>0.2</MotionRatio>
    </PureColorMotionDetection>
    <LocalMotionCorrection>255</LocalMotionCorrection>

    <ImageFusionMethod>1</ImageFusionMethod>
    <ImageFusion>
        <MinDarkWeight>-1.0</MinDarkWeight>
        <MinBrightWeight>-1.0</MinBrightWeight>
        <MaxBrightWeight>1.0</MaxBrightWeight>
        <MaxDarkWeight>1.0</MaxDarkWeight>
        <PyramidTopSize>8</PyramidTopSize>
        <WeightCalcMethod>1</WeightCalcMethod>
        <MinUnderExposureDiv>32</MinUnderExposureDiv>
        <MaxUnderExposureDiv>96</MaxUnderExposureDiv>
        <MinOverExposureDiv>220</MinOverExposureDiv>
        <MaxOverExposureDiv>230</MaxOverExposureDiv>
        <BlendCenter>128</BlendCenter>
        <BlendSigma>0.15</BlendSigma>
        <ProcessExtremFlag>1</ProcessExtremFlag><!--Flag to speacially process the dark or bright regions-->
        <EnhanceLayerRatio>0.2</EnhanceLayerRatio><!--Number of Layers to be enhanced-->
        <DetailThresh>10</DetailThresh><!--Detail Threshold for degrade the coe-->
        <DegradeStep>2</DegradeStep><!--the coe is degraded with this step by level-->
        <DetailEnhanceRatio>64</DetailEnhanceRatio><!--128 would produce edge overshoot-->
    </ImageFusion>

    <PostProcessValid>1</PostProcessValid>
    <PostProcess>
        <DenoiseDarkThresh>255</DenoiseDarkThresh>
    </PostProcess>

    <FlashHDR>
        <PyramidTopSize>16</PyramidTopSize>
        <WeightCalcMethod>0</WeightCalcMethod>
        <BlendCenter>128</BlendCenter>
        <BlendSigma>0.2</BlendSigma>
        <NoFlashWeight>128</NoFlashWeight>
    </FlashHDR>

    <Face>
        <AjustRatio>100</AjustRatio>
        <Margin>10</Margin>
        <SmoothRadius>40</SmoothRadius>
    </Face>
    <Potrait><!--人像分割控制参数-->
        <usePotraitMask>1</usePotraitMask><!--控制开关,{0,1}-->
        <maskType>1</maskType><!--Mask解析方式,[0,3]-->
        <useDarkPotraitBlend>1</useDarkPotraitBlend><!--使用暗帧人像替换策略开关,{0,1}-->
        <PotraitRatio>1.0</PotraitRatio><!--中间帧保护强度,[0.0,1.0]-->
        <SmoothRadius>5</SmoothRadius><!--Mask 平滑半径,[0,100]-->
        <FusionErosionRadius>2</FusionErosionRadius><!--图像融合mask腐蚀半径,[0,100]-->
        <BlendErosionRadius>4</BlendErosionRadius><!--人像暗帧替换腐蚀半径,[0,100]-->
        <BlendSmoothRadius>8</BlendSmoothRadius><!--人像暗帧替换平滑半径,[0,100]-->
        <WeightDiffThreshold>200</WeightDiffThreshold><!--中间帧与暗帧权重差阈值，用于指导更新暗帧权重-->
        <useGuidedFilter>1</useGuidedFilter><!--guided filter控制开关，{0,1}-->
        <GuidedFilterRadius>10</GuidedFilterRadius><!--guidedFilter半径-->
        <GuidedFilterEps>0.05</GuidedFilterEps><!--guidedFilter正则系数-->
    </Potrait>

    <PreMotionDetection>
        <MotionLowGray>10</MotionLowGray>
        <MotionHighGray>20</MotionHighGray>
        <MotionRatio>5.0</MotionRatio>
    </PreMotionDetection>

    <MultiFrameHDR>
        <MotionLowGray>10</MotionLowGray>
        <MotionHighGray>20</MotionHighGray>
        <MotionRatio>5.0</MotionRatio>
        <PyramidTopSize>8</PyramidTopSize>
        <BlendCenter>128</BlendCenter>
        <BlendSigma>0.25</BlendSigma>
        <ProcessExtremFlag>1</ProcessExtremFlag><!--Flag to speacially process the dark or bright regions-->
        <EnhanceLayerRatio>0.2</EnhanceLayerRatio><!--Number of Layers to be enhanced-->
        <DetailThresh>10</DetailThresh><!--Detail Threshold for degrade the coe-->
        <DegradeStep>2</DegradeStep><!--the coe is degraded with this step by level-->
        <DetailEnhanceRatio>64</DetailEnhanceRatio>
    </MultiFrameHDR>
    <NightImageFusion>
        <MinDarkWeight>-1.0</MinDarkWeight>
        <MinBrightWeight>-1.0</MinBrightWeight>
        <MaxBrightWeight>1.0</MaxBrightWeight>
        <MaxDarkWeight>1.0</MaxDarkWeight>
        <PyramidTopSize>16</PyramidTopSize>
        <WeightCalcMethod>1</WeightCalcMethod>
        <MinUnderExposureDiv>32</MinUnderExposureDiv>
        <MaxUnderExposureDiv>96</MaxUnderExposureDiv>
        <MinOverExposureDiv>176</MinOverExposureDiv>
        <MaxOverExposureDiv>226</MaxOverExposureDiv>
        <BlendCenter>128</BlendCenter>
        <BlendSigma>0.25</BlendSigma>
        <ProcessExtremFlag>1</ProcessExtremFlag><!--Flag to speacially process the dark or bright regions-->
        <EnhanceLayerRatio>0.25</EnhanceLayerRatio><!--Number of Layers to be enhanced-->
        <DetailThresh>10</DetailThresh><!--Detail Threshold for degrade the coe-->
        <DegradeStep>2</DegradeStep><!--the coe is degraded with this step by level-->
        <DetailEnhanceRatio>128</DetailEnhanceRatio><!--128 would produce edge overshoot-->
    </NightImageFusion>
    <!--Night_Stage_Scene Parameter for 5+1-->
    <NightMultiFrameHDR>
        <MotionLowGray>10</MotionLowGray>
        <MotionHighGray>20</MotionHighGray>
        <MotionRatio>5.0</MotionRatio>
        <PyramidTopSize>8</PyramidTopSize>
        <BlendCenter>128</BlendCenter>
        <BlendSigma>0.25</BlendSigma>
        <ProcessExtremFlag>1</ProcessExtremFlag><!--Flag to speacially process the dark or bright regions-->
        <EnhanceLayerRatio>0.25</EnhanceLayerRatio><!--Number of Layers to be enhanced-->
        <DetailThresh>10</DetailThresh><!--Detail Threshold for degrade the coe-->
        <DegradeStep>2</DegradeStep><!--the coe is degraded with this step by level-->
        <DetailEnhanceRatio>128</DetailEnhanceRatio>
    </NightMultiFrameHDR>
</Config>
